<?php
declare (strict_types = 1);

namespace app\admin\model\v1;

use app\common\model\SysBannerBaseModel;
use think\model\concern\SoftDelete;

/**
 * 横幅模型
 * @mixin \think\Model
 */
class SysBannerModel extends SysBannerBaseModel
{
    // 启用软删除
    use SoftDelete;
    // 软删除字段
    protected $deleteTime = 'deleted_at';

    // 按语言查询
    public function scopeLanguage($query, $value)
    {
        if (is_null($value)) return;
        $query->where('language_id', $value);
    }

    // 查询启用状态
    public function scopeEnabled($query)
    {
        $query->where('status', '=', 1);
    }

    // 查询禁用状态
    public function scopeDisabled($query)
    {
        $query->where('status', '=', -1);
    }

    // 按名称搜索
    public function searchNameAttr($query, $value, $data)
    {
        if (is_null($value)) {
            return;
        }
        $query->where('name', 'like', "%{$value}%");
    }
}
